## gnuit 4.9.5

=== debian/changelog ===
gnuit (4.9.5-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules: Default to std=c11 when compiling.
    It's just too burdensome to convert all old-style function
    definitions, especially because the project is dead upstream.
    (Closes: #1096738)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 16 Oct 2025 21:28:47 -0400

gnuit (4.9.5-5) unstable; urgency=medium

  * debian/control:
    + Update VCS with salsa repo location.
    + Standards-Version 4.6.2.
  * debian/copyright: Debian copyright year 2023.
  * debian/patches: Add remove-dpkg-help-from-install.patch.
  * debian/preinst: Remove because outdated.
  * debian/rules:
    + Add hardening.
    + Remove --with-terminfo from configure.
  * debian/watch: Fix URL.

 -- Josef Schneider <josef81sch@gmail.com>  Wed, 04 Jan 2023 16:36:01 +0100

gnuit (4.9.5-4) unstable; urgency=medium

  * New maintainer (Closes: #1014171).
  * debian/control:
    + Update to debhelper-compat version 13 (Closes: #965566).
    + Standards-Version 4.6.1.
    + Add Rules-Requires-Root: no.
    + Add Depends on sensible-utils.
    + Remove Build-Depends on autotools-dev.
    + Change http to https.
  * debian/compat: Deleted.
  * debian/copyright:
    + Update to dep5 format.
    + Update licensing.
  * debian/rules:
    + Update for debhelper-compat version 13 (Closes: #998945).
    + Add configure command to correctly pass --host flag (Closes: #869489).
  * debian/patches:
    + Add fix-printf-string.patch to fix FTBFS.
    + Remove .gitaction from install.
  * debian/watch: Update to version 4.
  * debian/source:
    + Add format file.
    + Add lintian-overrides to remove false positive warning.

 -- Josef Schneider <josef81sch@gmail.com>  Mon, 12 Dec 2022 16:11:11 +0200

gnuit (4.9.5-3) unstable; urgency=low

  * Build-Depend on libreadline-dev instead of libreadline5-dev
    (Closes: #553773).

 -- Ian Beckwith <ianb@debian.org>  Wed, 11 Nov 2009 01:22:34 +0000

gnuit (4.9.5-2) unstable; urgency=low

  * debian/control:
    + Remove Provides/Replaces/Conflicts: git,
      left over from transition (Closes: #531519).
    + Depend on ${misc:Depends}.
    + Change maintainer email.
    + Add Homepage field.
    + Standards-Version: 3.8.3.
    + remove DM-Upload-Allowed.
  * debian/copyright:
    + explicitly point to GPL-3 in common-licenses.
    + remove text of GFDL 1.3, replace with pointer
      to common-licenses.
  * debian/rules install: remove usr/share/info/dir{,.gz}.
  * debian/doc-base: register gnuit.html with doc-base.

 -- Ian Beckwith <ianb@debian.org>  Wed, 09 Sep 2009 00:01:03 +0100

gnuit (4.9.5-1) unstable; urgency=low

  * New upstream version.
  * GFDL version bumped to 1.3+ (still with No Invariant Sections, no
    Front-Cover Texts, no Back-Cover Texts). debian/copyright updated
    to match.
  * Suggests: xdg-utils (for xdg-open(1)).
  * Remove git transitional package:
    + debian/control: Remove git stanza + Provides/Replaces/Conflicts.
    + Remove debian/presubj and debian/git.install.
    + This makes #507014 obsolete (Closes: #507014).

 -- Ian Beckwith <ianb@erislabs.net>  Tue, 10 Feb 2009 00:58:15 +0000

gnuit (4.9.4-1) unstable; urgency=low

  * New upstream version.
  * Fix debian/rules bashism, thanks to Chris Lamb (Closes: #484388).
  * Fix typo in long description (Closes: #479175).
  * Update debian/copyright to match updated gnulib.
  * Add Vcs- headers.
  * Add debian/watch.
  * Standards-Version: 3.8.0 (no changes).
  * Add reportbug presubj to git transitional package.

 -- Ian Beckwith <ianb@erislabs.net>  Mon, 16 Jun 2008 20:47:46 +0100

gnuit (4.9.3-1) unstable; urgency=low

  * New upstream version.
  * Updated license info in debian/copyright.

 -- Ian Beckwith <ianb@erislabs.net>  Fri, 15 Feb 2008 21:41:15 +0000

gnuit (4.9.2-1) unstable; urgency=low

  * New upstream version.
  * Package name changed to gnuit.
  * Added transitional git package.
  * Set DM-Upload-Allowed: yes.
  * Updated debian/copyright, gnuit is now GPL-3+, with info docs under
    GFDL-1.2+, with no Invariant Sections, no Front-Cover Texts and
    no Back-Cover Texts.
  * Removed unneeded postinst and prerm.
  * preinst: when removing alternatives, check for presence of git
    alternative instead of going by version number.
  * Updated NEWS.Debian with user-visible changes.
  * No longer install obsolete subdir ChangeLogs.
  * Update maintainer email address.
  * Standards-Version: 3.7.3 (no changes).
  * Bump debhelper compat level to 6.
  * Tweak long description.

 -- Ian Beckwith <ianb@erislabs.net>  Thu, 10 Jan 2008 22:04:26 +0000

git (4.3.20-12) unstable; urgency=low

  * Use debhelper to handle install-info calls.
  * Bump debhelper version to 5.
  * Stop ignoring make distclean return code.
  * git.texinfo: add @dircategory Utilities.

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Mon, 06 Aug 2007 20:00:43 +0100

git (4.3.20-11) unstable; urgency=low

  * Finish /usr/bin/git transition (Closes: #379982, #405641):
    + No longer provide /usr/bin/git, use gitfm instead.
    + preinst: remove alternatives if upgrading from version before 4.3.20-11.
    + prerm, postinst: drop alternatives manipulation.
    + Add explanation to NEWS.Debian.
  * Thanks to Bruce Sass for the following patches:
    + Add ^C^D commands to manipulate .deb files (Closes: #396797).
    + Fix ^Xh help documentation (Closes: #396794).
  * Add gitdpkgname helper script for ^C^D commands that work on packages.
  * rules: remove unused debhelper calls.

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Tue,  1 May 2007 01:57:38 +0100

git (4.3.20-10) unstable; urgency=low

  * Change git.transition so it runs git-scm if run non-interactively.
  * Standards-Version: 3.7.2 (No changes).

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Sat,  5 Aug 2006 00:42:33 +0100

git (4.3.20-9) unstable; urgency=low

  * Fix git.transition to not interfere with kernel builds (Closes #362543).
    Thanks to Peter Cordes.


