=== debian/control ===
Source: gnuit
Section: utils
Priority: optional
Maintainer: Josef Schneider <josef81sch@gmail.com>
Build-Depends: libncurses-dev, libreadline-dev, texinfo, debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/gnuit
Vcs-Git: https://salsa.debian.org/debian/gnuit.git
Homepage: https://www.gnu.org/software/gnuit/
Rules-Requires-Root: no

Package: gnuit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sensible-utils
Suggests: xdg-utils
Description: GNU Interactive Tools, a file browser/viewer and process viewer/killer
 gnuit (GNU Interactive Tools) is a set of interactive text-mode tools,
 closely integrated with the shell.  It contains an extensible file
 system browser (similar to Norton Commander and XTree), an ASCII/hex
 file viewer, a process viewer/killer and some other related utilities
 and shell scripts.  It can be used to increase the speed and
 efficiency of most of the daily tasks such as copying and moving
 files and directories, invoking editors, compressing and
 uncompressing files, creating and expanding archives, compiling
 programs, sending mail, etc.  It looks nice, has colors (if the
 standard ANSI color sequences are supported) and is user-friendly.
 .
 One of the main advantages of gnuit is its flexibility.  It is not
 limited to a given set of commands.  The configuration file can be
 easily enhanced, allowing the user to add new commands or file
 operations, depending on its needs or preferences.
