=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/gnuit/gnuit-(.*)\.tar\.gz
